Bug 9077 - ide cdrom causes kernel hang ("hda:lost interrupt")
ide cdrom causes kernel hang ("hda:lost interrupt")
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-02 15:54 EST by wingc
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 21:25:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wingc 2000-02-02 15:54:37 EST
I have a bunch of Lite-On IDE CD-ROM drives, model LTN-262A.

These drives worked properly with Red Hat Linux 5.2; however, they have
caused kernel problems in Red Hat 6.0 and 6.1.

In Red Hat 6.1, any significant amount of disk activity will eventually
cause the cd-rom to lock up with the drive light staying on. Every ten
seconds or so, the kernel will send the following message to the syslog:

hda: lost interrupt

At this point, I don't know any way to reset the driver, and any process
trying to access the cdrom will be stuck forever in uninterruptable sleep.
The rest of the kernel, fortunately, does not crash. In Red Hat 6.0, I get
the same "hda: lost interrupt" message, but after a short time the entire
kernel (system) hangs.

The cdrom will lock up much sooner in the SMP kernel than the uniprocessor
one, but both will hang eventually.

Here is the relevant part of the boot log where the cdrom is detected:

PIIX4: IDE controller on PCI bus 00 dev 91
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x1050-0x1057, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x1058-0x105f, BIOS settings: hdc:DMA, hdd:pio
hda: LTN262, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: ATAPI 16X CD-ROM drive, 240kB Cache
Uniform CDROM driver Revision: 2.56

Here is some information from /proc/ide:

/proc/ide/hda/driver:
ide-cdrom version 4.54

/proc/ide/hda/identify:
85a0 0000 0000 0000 0000 0000 0000 0000
0000 0000 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 0000 0000 0000 4731
3020 2020 2020 4c54 4e32 3632 2020 2020
2020 2020 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 0000
0000 0f00 0000 0400 0200 0002 0000 0000
0000 0000 0000 0000 0000 0000 0000 0107
0003 0078 0078 0078 0078 0000 0000 0000
0000 0002 0009 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
2020 2020 2020 2020 3032 3238 4731 3020
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000

/proc/ide/hda/model:
LTN262

/proc/ide/hda/settings:
name			value		min		max	       mode
----			-----		---		---	       ----
breada_readahead        4               0               127             rw
dsc_overlap             0               0               1           rw
file_readahead          124             0               2097151         rw
io_32bit                0               0               3               rw
keepsettings            0               0               1               rw
max_kb_per_request      64              1               127             rw
nice1                   1               0               1               rw
pio_mode                write-only      0               255             w
slow                    0               0               1               rw
unmaskirq               0               0               1               rw
using_dma               0               0               1               rw

/proc/ide/ide0/config:
pci bus 00 device 91 vid 8086 did 7111 channel 0
86 80 11 71 05 00 80 02 01 80 01 01 00 40 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
51 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
03 e3 00 c0 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 30 0f 00 00 00 00 00 00

Here is the relevant output of lspci:

00:00.0 Host bridge: Intel Corporation 440GX - 82443GX Host bridge
00:01.0 PCI bridge: Intel Corporation 440GX - 82443GX AGP bridge
00:12.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:12.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:12.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:12.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)


The motherboard is an Intel C440GX+ dual Pentium III motherboard with dual
550Mhz Pentium IIIs. The same crashing behavior was also observed in Red
Hat 6.0 on an Intel PR440FX motherboard with dual 200MHz Pentium Pros.

The drives worked fine in Red Hat 5.2, so I'm guessing that the newer IDE
driver in Linux 2.2 is having problems. I'd be happy to try changing the
settings via hdparm, or try a newer kernel if you'd like more information.


Thanks,

Chris Wing
wingc@engin.umich.edu
Comment 1 Alan Cox 2000-08-08 15:18:46 EDT
Does 6.2 still do this or the 2.2.17pre kernel?
Comment 2 Alan Cox 2002-12-13 21:25:58 EST
No answer in 1.5 years and many IDE fixes done over the time

Note You need to log in before you can comment on or make changes to this bug.